Declare an Audio Interaction
// Overview
The first step in processing any audio file is to declare the interaction.
When the POST request successfully executes, an HTTP status is returned to indicate the request was successful, along with a JSON response containing the interactionIdentifier.
{
"interactionIdentifier": "2ebaffd6-7a4b-4bcf-a169-678af0705779"
} It is important you store the interactionIdentifier as it will serve as a required parameter for all other ElevateAI endpoints, enabling you to POST, GET, and/or DELETE information associated with this interaction.
If an error occurs when requesting to declare the interaction, a standard HTTP response code is retuned to indicate the request was unsuccessful, as well as a JSON response containing additional details to assist with troubleshooting.
All interactions successfully declared will count towards your monthly request quota, regardless of file upload status or processing outcome.
Only interactions successfully processed are eligible for billing.
--> Once declared, you can confirm the processing statusprocessing status of your interaction, as well as tracking impacts to both usage and spend.
Meet Echo
Introducing ElevateAI Echo, our most accurate transcription model yet!
Echo delivers a significant leap in accuracy, outperforming our previous, CX-focused model by 40% and ensuring superior transcription quality across every use case.
--> To use the Echo model, add the body parameter model to your POST declare and set the value to echo.
NOTE: Currently, the Echo model does not perform redaction. Future releases will continue to move Echo towards feature parity with ElevateAI's CX transcription model.
// Request Parameters & Code Examples
Details on language support for CX AI features can be found on the CX AI Features OverviewCX AI Feature Overview page page.
curl --location --request POST 'https://api.elevateai.com/v1/interactions' \
--header 'Content-Type: application/json' \
--header 'X-API-Token: {Your API Token}' \
--data-raw '{
"type": "audio",
"languageTag": "auto",
"vertical": "default",
"model": "echo",
"audioTranscriptionMode": "highAccuracy",
"originalFileName": "ABC00012.wav",
"includeAiResults": true,
"metadata": "{Your JSON metada payload}"
}'Details on transcription and CX AI features – supported by language – can be found on the ElevateAI Overview page.
// Submitting an Audio File for Processing
Download URI
Providing access to audio files via the downloadUri parameter is highly recommended for faster processing times.
When using the Download URI option, authentication parameters can be included in the Declare for source systems which require it. See Body Parameters, above.
Local File
If the downloadUri parameter is not included when declaring the interaction, the audio file(s) should be uploaded to the API directly for processing.
// Submitting Metadata
Metadata must only be submitted with an API Token for an account that has ElevateAI Explore enabled. Any use or submission under other circumstances will cause the Declare to fail, and a response of 400 Bad Request.
For details on the types and formatting of metadata, please see ElevateAI's Metadata TutorialMetadata Tutorial or contact the ElevateAI Support team.